Subject: Re: bug#44110: create alias for info-apropos

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Oct 2020 17:04:48 +0300

> Date: Tue, 20 Oct 2020 22:59:13 -0400
> From: Boruch Baum <[email-masked]>
> Cc: [email-masked]
> 
> On 2020-10-21 05:34, Eli Zaretskii wrote:
> > > Date: Tue, 20 Oct 2020 20:43:38 -0400
> > > From: Boruch Baum <[email-masked]>
> > >
> > > My expectation was that the "apropos" function for info functions would
> > > follow the naming convention of other apropos functions: apropos-info.
> > > Instead, the function is `info-apropos'.
> >
> > This is due to our naming conventions: that function is defined in
> > info.el.
> 
> Does that necessary mean that an alias can't exist for the sake of its
> benefits to users?

I didn't say that.  I just tried to explain why your expectation was
not necessarily justified.

As for adding an alias, if you type "M-x *-apropos TAB", you'll see
that we have quite a few of commands whose names are
SOMETHING-apropos, so info-apropos is not necessarily the odd one
out.  I'll let others speak up their minds on this.